<!DOCTYPE html>
<html lang="en">

<head>
    <title>task 32.60</title>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
</head>


<body>

    <div class="container jumbotron">
        <table id="table" class="table table-striped table-hover table-bordered ">
            <thead style="background-color: rgb(64, 100, 243); color: aliceblue;">
                <tr>
                    <td>STT</td>
                    <td>Album</td>
                    <td>Title</td>
                    <td>Url ảnh</td>
                    <td>ThumBnail</td>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>



</body>
<script>
    "use strict"

    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onPageLoading();

    });


    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
        console.log("đã load xong thẻ body");
        // gọi api 
        getAllPhotoOfAlbum();
        // load dữ liệu lên table 
    }


    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // Mẫu gọi API cho bài 32.60
    function getAllPhotoOfAlbum() {
        //base url
        const vBASE_URL = "https://jsonplaceholder.typicode.com/albums/3/photos";
        $.ajax({
            url: vBASE_URL,
            type: "GET",
            async: true,
            dataType: "json",
            success: goiApiThanhCong,
            error: goiApiThatBai
        });
    }

    // khai baos hàm nếu gọi sever thành công .. đổ dữ liệu ra table 
    function goiApiThanhCong(paramRes) {
        console.log("goi  api thanh cong");
        console.log(paramRes);
        // đổ dữ liệu lên table 
        showDataTable(paramRes);


    }
    // khai báo hàm nếu chạy thất bại
    function goiApiThatBai() {
        console.log("goi  api that bai");
    }
    // show data in table
    function showDataTable(paramObject) {
        var vEleTable = $("#table");
        for (var bI = 0; bI < paramObject.length; bI++) {
            var vImgList = paramObject[bI];
            var vRow = $("<tr>").appendTo(vEleTable);
                // nếu bI  bằng  chẵn thì cho hàng đó màu xanh 
            if (bI % 2 == 0) {
                vRow.attr({ "class": "table-primary" });
            }
            // nếu bI  bằng lẻ thì cho hàng đó màu hồng
            if (bI % 2 == 1) {
                vRow.attr({ "class": "table-danger" });
            }
            // thêm dữ liệu các cột vào hàng 
            vRow.append($("<td>", { html: bI + 1 }))
                .append($("<td>", { html: vImgList.albumId }))
                .append($("<td>", { html: vImgList.title }))
                .append($("<td>", { html: vImgList.url }));
            // tạo thẻ img
            var vEleImg = $("<img>").attr({
                "src": vImgList.url,
                "class": " img-thumbnail"
            });
            vRow.append(vEleImg);
        }
    }
</script>

</html>